package builtin;

import runEnv.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;

public class InputComponent extends Component {
	
	JFrame frame;
	JTextField textField;
	long opdValue;

	private ActionListener textInfoListener = new ActionListener() {
		public void actionPerformed( ActionEvent event ) {
			int base = runEnv().getValue( "base" ).intValue();
			int n = runEnv().getValue( "n" ).intValue();
			try {
				opdValue = Long.parseLong( textField.getText(), base );
				schedule();
				}
			catch ( NumberFormatException exception ) {
				}
			}
		};
	
	public InputComponent( RunEnv runEnv ) {
		super( runEnv );
		String name = runEnv().getValue( "name" ).stringValue();
		int x = runEnv().getValue( "x" ).intValue();
		int y = runEnv().getValue( "y" ).intValue();
		frame = new JFrame( name );
		textField = new JTextField( 20 );
		Container contentPane = frame.getContentPane();
		textField.addActionListener( textInfoListener );
		contentPane.add( textField );
		frame.setLocation( x, y );
		frame.validate();
		frame.pack();
		frame.setVisible( true );
		frame.toFront();
		}
	
	public void compute() {
//		System.err.println( "Compute InputComponent " + this );
		PathArrayValue result = runEnv().getValue( "result" ).pathArrayValue();
		result.setValue( opdValue );
		}
	
	public String toString() {
		String name = runEnv().getValue( "name" ).stringValue();
		return name;
		}
	
	}
