package builtin;

import runEnv.*;

public class SelectComponent extends Component {

	public SelectComponent( RunEnv runEnv ) {
		super( runEnv );
		}
	
	public void compute() {
		int m = runEnv().getValue( "m" ).intValue();
		int n = runEnv().getValue( "n" ).intValue();
		PathArrayValue index = runEnv().getValue( "index" ).pathArrayValue();
		long indexValue = index.getValue();
		PathArrayValue alternative = runEnv().getValue( "alternative" ).pathArrayValue();		
		PathArrayValue selection = alternative.subArray( ( int ) indexValue * n, n );
		PathArrayValue result = runEnv().getValue( "result" ).pathArrayValue();
		result.setValue( selection );
		}
	
	}
