package builtin;

import runEnv.*;

public class XorComponent extends Component {

	public XorComponent( RunEnv runEnv ) {
		super( runEnv );
		}
	
	public void compute() {
		int n = runEnv().getValue( "n" ).intValue();
		PathArrayValue opd = runEnv().getValue( "opd" ).pathArrayValue();
		PathArrayValue result = runEnv().getValue( "result" ).pathArrayValue();
		boolean resultValue = false;
		for ( int i = 0; i < n; i++ )
			resultValue ^= opd.elementAt( i ).getValue();
		result.elementAt( 0 ).setValue( resultValue );
		}
	}
