package node;

import node.stmtNode.*;

import circuit.*;
import text.*;
import runEnv.*;

public class ProgramNode extends Node {

	private DeclStmtListNode globalLibrary;
	private DeclStmtListNode declStmtList;
	
	public ProgramNode( DeclStmtListNode globalLibrary, DeclStmtListNode declStmtList ) {
		this.globalLibrary = globalLibrary;
		this.declStmtList = declStmtList;
		}

	public String toString() {
		if ( Main.expand )
			return 
				globalLibrary + "%n"
				+ declStmtList + "%n";
		else
			return 
				declStmtList + "%n";
		}
				
	public void eval() {
		RunEnv runEnv = new RunEnv( "<main>", null );
		globalLibrary.eval( runEnv );
		declStmtList.eval( runEnv );
		}

	}
