package node.exprNode.binaryNode.relationNode;
import node.*;
import node.exprNode.*;
import node.exprNode.binaryNode.*;
import runEnv.*;
import runEnv.basicValue.*;
import java.util.*;

public class EqualNode extends RelationNode {

	public EqualNode( ExprNode left, ExprNode right ) {
		super( left, right );
		precedence = PREC_EQ;
		operator = "==";
		}

	public RunValue eval( RunEnv runEnv ) {
		RunValue leftValue = left.eval( runEnv );
		RunValue rightValue = right.eval( runEnv );
		return new BoolValue( leftValue.equals( rightValue ) );
		}

	}
