package node.pathNode;

import node.*;
import node.pathNode.pathNameNode.*;

import runEnv.*;

public class PathArrayNode extends Node {

	private PathNameListNode pathNameList;
	
	public PathArrayNode( PathNameListNode pathNameList ) {
		this.pathNameList = pathNameList;
		}
	
	public String toString() {
		return "" + pathNameList;
		}
		
	public PathArrayValue eval( RunEnv runEnv ) {
		return new PathArrayValue( pathNameList.eval( runEnv ) );
		}
	}