package node.stmtNode.includeStmtNode;

import circuit.*;
import node.*;
import node.stmtNode.*;

import runEnv.*;
import text.*;

public class IncludeStmtNode extends StmtNode {

	private String includeFileName;
	private DeclStmtListNode declStmtList;

	public IncludeStmtNode( String includeFileName, DeclStmtListNode declStmtList ) {
		this.includeFileName = includeFileName;
		this.declStmtList = declStmtList;
		}

	public String toString() {
		if ( Main.expand )
			return declStmtList + "%n";
		else
			return "include \"" + Convert.toString( includeFileName ) + "\";";
		}

	public void eval( RunEnv runEnv ) {
		declStmtList.eval( runEnv );
		}

	}
