package runEnv;

import runEnv.basicValue.*;

import java.util.*;

public abstract class RunValue {


/*
Represents a run time value
*/

	public boolean boolValue() {
		throw new Error( "Can't cast runtime value " + this + " to bool" );
		}

	public int intValue() {
		throw new Error( "Can't cast runtime value " + this + " to int" );
		}

	public String stringValue() {
		throw new Error( "Can't cast runtime value " + this + " to string" );
		}

	public PathValue pathValue() {
		throw new Error( "Can't cast runtime " + this + " to path" );
		}

	public PathArrayValue pathArrayValue() {
		throw new Error( "Can't cast runtime " + this + " to path array" );
		}

	public ComponentValue componentValue() {
		throw new Error( "Can't cast runtime " + this + " to component" );
		}
	
	public boolean isBool() {
		return false;
		}

	public boolean isInt() {
		return false;
		}

	public boolean isString() {
		return false;
		}

	public boolean isPathArray() {
		return false;
		}

	public boolean isComponent() {
		return false;
		}

	public abstract String toString();
	public abstract boolean equals( Object value );

	}
