#! /bin/bash

catFile.bash Source/circuit/Main.java

catFile.bash Source/grammar/Yylex.jflex
catFile.bash Source/grammar/parser.cup

catFile.bash Source/node/Node.java
catFile.bash Source/node/ListNode.java

catFile.bash Source/node/exprNode/valueNode/IntValueNode.java

catFile.bash Source/node/declNode/ValueDeclNode.java
catFile.bash Source/node/declNode/valueDefnNode/ValueDefnListNode.java
catFile.bash Source/node/declNode/valueDefnNode/ValueDefnNode.java
catFile.bash Source/node/declNode/valueDefnNode/InitValueDefnNode.java
catFile.bash Source/node/declNode/valueDefnNode/ValueParamDefnNode.java

catFile.bash Source/node/declNode/PathDeclNode.java
catFile.bash Source/node/declNode/pathDefnNode/PathDefnListNode.java
catFile.bash Source/node/declNode/pathDefnNode/PathDefnNode.java
catFile.bash Source/node/declNode/pathDefnNode/SimplePathDefnNode.java
catFile.bash Source/node/declNode/pathDefnNode/ArrayPathDefnNode.java

catFile.bash Source/node/declNode/componentDeclNode/ComponentDeclNode.java
catFile.bash Source/node/declNode/componentDeclNode/BodyNode.java
catFile.bash Source/node/declNode/componentDeclNode/EmptyBodyNode.java
catFile.bash Source/node/declNode/componentDeclNode/NonEmptyBodyNode.java

catFile.bash Source/node/stmtNode/forStmtNode/ForStmtNode.java
catFile.bash Source/node/stmtNode/ifStmtNode/IfStmtNode.java
catFile.bash Source/node/stmtNode/invocationStmtNode/InvocationStmtNode.java
catFile.bash Source/node/stmtNode/invocationStmtNode/InvocNode.java

catFile.bash Source/node/pathNode/PathArrayListNode.java
catFile.bash Source/node/pathNode/PathArrayNode.java
catFile.bash Source/node/pathNode/pathNameNode/PathNameListNode.java
catFile.bash Source/node/pathNode/pathNameNode/PathNameNode.java
catFile.bash Source/node/pathNode/pathNameNode/SimplePathNameNode.java
catFile.bash Source/node/pathNode/pathNameNode/IndexPathNameNode.java
catFile.bash Source/node/pathNode/pathNameNode/SubArrayPathNameNode.java

catFile.bash Source/runEnv/RunValue.java
catFile.bash Source/runEnv/basicValue/BasicValue.java
catFile.bash Source/runEnv/basicValue/IntValue.java
catFile.bash Source/runEnv/RunDecl.java
catFile.bash Source/runEnv/RunEnv.java

catFile.bash Source/runEnv/basicValue/PathValue.java
catFile.bash Source/runEnv/PathArrayValue.java
catFile.bash Source/runEnv/ComponentValue.java

catFile.bash Source/builtin/Component.java
catFile.bash Source/builtin/AndComponent.java
