package node;

import runEnv.*;

import text.*;

public class DeclStmtListNode extends ListNode< DeclStmtNode > {
	
	public DeclStmtListNode() {
		super( "%n" );
		}
	
	public DeclStmtListNode( DeclStmtNode node ) {
		this();
		addElement( node );
		}
		
	public void eval( RunEnv runEnv ) {
		for ( int i = 0; i < size(); i++ ) {
			DeclStmtNode element = elementAt( i );
			try {
				element.eval( runEnv );
				}
			catch ( Error exception ) {
				Print.error().println( "User Error " + exception.getMessage() 
					+ " at " + element );
				Print.error().printStackTrace( exception );
				System.exit( 1 );
				}
			}
		}

	}
