package node.declNode;

import node.declNode.pathDefnNode.*;

import runEnv.*;

public class PathDeclNode extends DeclNode {

	private PathDefnListNode pathDefnList;

	public PathDeclNode( 
		PathDefnListNode pathDefnList ) {
		this.pathDefnList = pathDefnList;
		}

	public String toString() {
		return "path " + pathDefnList + ";";
		}

	public void eval( RunEnv runEnv ) {
		pathDefnList.eval( RunDecl.PATH, runEnv, 
			new PathArrayValue[ pathDefnList.size() ] );
		}

	}
