package node.exprNode.binaryNode.relationNode;
import node.*;
import node.exprNode.*;
import node.exprNode.binaryNode.*;
import runEnv.*;
import runEnv.basicValue.*;
import java.util.*;

public class LessEqualNode extends RelationNode {

	public LessEqualNode( ExprNode left, ExprNode right ) {
		super( left, right );
		operator = "<=";
		}

	public RunValue eval( RunEnv runEnv ) {
		RunValue leftValue = left.eval( runEnv );
		RunValue rightValue = right.eval( runEnv );
		return new BoolValue( leftValue.intValue() <= rightValue.intValue() );
		}

	}
