package node.exprNode.binaryNode.relationNode;
import node.*;
import node.exprNode.*;
import node.exprNode.binaryNode.*;

import runEnv.*;

public abstract class RelationNode extends BinaryNode {

	public RelationNode( ExprNode left, ExprNode right ) {
		super( left, right );
		precedence = PREC_REL;
		}

	public String toString() {
		return 
			left.toString( precedence + 1 ) 
			+ " " +  operator + " " 
			+ right.toString( precedence + 1 );
		}

	}
