package node.exprNode.prefixNode;
import node.*;
import node.exprNode.*;

import runEnv.*;
import runEnv.basicValue.*;

public class NotNode extends PrefixNode {

	public NotNode( ExprNode right ) {
		super( right );
		operator = "!";
		}

	public RunValue eval( RunEnv runEnv ) {
		RunValue rightValue = right.eval( runEnv );
		return new BoolValue( ! rightValue.boolValue() );
		}

	}
