package runEnv.basicValue;

import runEnv.*;
import text.*;

public class StringValue extends BasicValue {

	private String value;
	
	public StringValue( String value ) {
		this.value = value;
		}

	public String stringValue() {
		return value;
		}
		
	public boolean isString() {
		return true;
		}

	public boolean equals( Object other ) {
		if ( other == null )
			return false;
		if ( ! ( other instanceof RunValue ) )
			return false;
		RunValue runValue = ( RunValue ) other;
		if ( ! ( runValue instanceof StringValue ) )
			return false;
		StringValue otherStringValue = ( StringValue ) runValue;
		return value.equals( otherStringValue.stringValue() );
		}

	public String toString() {
		return value;
		}

	}
