#! /bin/bash

# ulimit -t 10 -f 10240

DIR="$1"
shift

if [ "$DIR" == "" ]
then
	echo "Missing argument to run.bash"
	exit 1
fi

echo "$DIR"
CCUPJAR=`toNative.bash "$LIB330/java_cup_runtime.jar"`
NATIVEDIR=`toNative.bash "$DIR"`
rm -f "$DIR/program.err" "$DIR/program.print" "$DIR/program.out"
java -classpath "run.jar$CPSEP$CCUPJAR" circuit.Main -dir "$NATIVEDIR" "$@"
